import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { CookieJar } from 'tough-cookie';
import { BaseResponseData, FollowResponse, LikePostResponse, ListFollowersRequest, ListFollowersResponse, ListFollowingRequest, ListFollowingResponse, ListPostsRequest, ListPostsResponse, LoginRequest, LoginResponse, TikTokAPIConfig, RequiredUserDefinedRequestParams, StaticRequestParams, UserProfileResponse } from './types';
export default class TikTokAPI {
    readonly config: TikTokAPIConfig;
    readonly cookieJar: CookieJar;
    readonly request: AxiosInstance;
    constructor(requestParams: StaticRequestParams, apiConfig: TikTokAPIConfig, requestConfig?: AxiosRequestConfig);
    loginWithEmail: (email: string, password: string) => import("../node_modules/axios/index").AxiosPromise<LoginResponse>;
    login: (params: LoginRequest) => import("../node_modules/axios/index").AxiosPromise<LoginResponse>;
    getUser: (userId: string) => import("../node_modules/axios/index").AxiosPromise<UserProfileResponse | BaseResponseData>;
    listPosts: (params: ListPostsRequest) => import("../node_modules/axios/index").AxiosPromise<BaseResponseData | ListPostsResponse>;
    listFollowers: (params: ListFollowersRequest) => import("../node_modules/axios/index").AxiosPromise<BaseResponseData | ListFollowersResponse>;
    listFollowing: (params: ListFollowingRequest) => import("../node_modules/axios/index").AxiosPromise<BaseResponseData | ListFollowingResponse>;
    follow: (userId: string) => import("../node_modules/axios/index").AxiosPromise<BaseResponseData | FollowResponse>;
    unfollow: (userId: string) => import("../node_modules/axios/index").AxiosPromise<BaseResponseData | FollowResponse>;
    likePost: (postId: string) => import("../node_modules/axios/index").AxiosPromise<BaseResponseData | LikePostResponse>;
    unlikePost: (postId: string) => import("../node_modules/axios/index").AxiosPromise<BaseResponseData | LikePostResponse>;
    transformResponse: (data: any) => any;
    private signRequest;
}
export declare const getRequestParams: (requestParams: RequiredUserDefinedRequestParams) => StaticRequestParams;
export * from './types';
